<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <button id="magicBtn" style="background-color: red">Magic</button>
    <button id="magicComplete" style="background-color: yellow">
      Magic Complete
    </button>

    <div
      id="box1"
      class="box"
      style="
        height: 250px;
        width: 250px;
        border: 2px solid black;
        background-color: aqua;
        margin: 10px;
      "
    >
      box1
    </div>

    <div
      id="box2"
      class="box"
      style="
        height: 250px;
        width: 250px;
        border: 2px solid black;
        background-color: green;
        margin: 10px;
      "
    >
      box2
    </div>

    <script src="https://code.jquery.com/jquery-3.7.0.js"></script>
    <script>
      let btn = jQuery("#magicBtn");
      let btn2 = jQuery("#magicComplete");

      let box = jQuery(".box");

      btn.on("click", function () {
        // console.log("Magic ");
        box.hide();
      });
      btn2.on("click", function () {
        box.show();
      });

      //   jQuery('#magicBtn').on('click', function () {
      //     //   console.log(this);
      //     //   console.log($(this));
      //       $(this).hide();
      //   });
    </script>
  </body>
</html>
